Get RTStream transcription data
curl --request GET \
--url https://api.videodb.io/rtstream/{stream_id}/transcription/ \
--header 'x-access-token: <api-key>'const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/rtstream/{stream_id}/transcription/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/rtstream/{stream_id}/transcription/' -Method GET -Headers $headersimport Foundation
let url = URL(string: "https://api.videodb.io/rtstream/{stream_id}/transcription/")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-access-token": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/rtstream/{stream_id}/transcription/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/rtstream/{stream_id}/transcription/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
const options = {method: 'GET', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/rtstream/{stream_id}/transcription/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/rtstream/{stream_id}/transcription/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/rtstream/{stream_id}/transcription/");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.videodb.io/rtstream/{stream_id}/transcription/")
.get()
.addHeader("x-access-token", "<api-key>")
.build()
val response = client.newCall(request).execute(){
"success": true,
"data": {
"transcription_records": [
{
"start": 1700000000,
"end": 1700000005,
"text": "transcribed text",
"word_timestamps": [
{}
]
}
],
"next_page": false,
"total_count": 50,
"page": 1,
"page_size": 100
}
}Get RTStream Transcription
Retrieve transcription data from a real-time stream
GET
/
rtstream
/
{stream_id}
/
transcription
/
Get RTStream transcription data
Retrieve transcription records from a real-time stream, including word-level timestamps and pagination support.
- Use
startandend(Unix timestamps) to filter by time range - Use
sincefor polling - returns only entries newer than the given timestamp - Paginated with
pageandpage_size(max 1000) - Includes word-level timestamps for each transcription record
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Example:
"rts-12345"
Query Parameters
Example:
"default"
Example:
1
Required range:
x <= 1000Example:
100
Filter by start timestamp
Example:
1700000000
Filter by end timestamp
Example:
1700003600
Get only entries newer than this timestamp (for polling)
Example:
1700000000
⌘I